petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISLocalToGlobalMappingCreate

Creates a mapping between a local (0 to n) ordering and a global parallel ordering.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingCreate(MPI_Comm comm,PetscInt bs,PetscInt n,const PetscInt indices[],PetscCopyMode mode,ISLocalToGlobalMapping *mapping)

Not Collective, but communicator may have more than one process Many br

### Input Parameters

| comm | - MPI communicator Many br
| bs | - the block size Many br
| n | - the number of local elements divided by the block size, or equivalently the number of block indices Many br
| indices | - the global index for each local element, these do not need to be in increasing order (sorted), these values should not be scaled (i.e. multiplied) by the blocksize bs Many br
| mode | - see PetscCopyMode Many br

### Output Parameter

mapping -new mapping data structure Many br

Notes: There is one integer value in indices per block and it represents the actual indices bs*idx + j, where j=0,..,bs-1 Many br Many br

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreateIS()

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex8.c.html
src/vec/is/is/examples/tutorials/ex4.c.html
src/vec/is/is/examples/tutorials/ex5.c.html